Package org.picocontainer.classname

# Interface ClassLoadingPicoContainer

All Superinterfaces:
  `Disposable`, `MutablePicoContainer`, `PicoContainer`, `Startable`

All Known Implementing Classes:
  `DefaultClassLoadingPicoContainer`

public interface ClassLoadingPicoContainer extends MutablePicoContainer
A ClassLoadingPicoContainer extends PicoContainer with classloader juggling capability

Author:
  Paul Hammant, Aslak Hellesøy

## Method Summary

Modifier and Type
Method
Description
`ClassLoadingPicoContainer`
`addChildContainer(String name, PicoContainer child)`
Addes a child container with a given name
`ClassPathElement`
`addClassLoaderURL(URL url)`
Adds a new URL that will be used in classloading
`ClassLoader`
`getComponentClassLoader()`
Returns class loader that is the aggregate of the URLs added.
`ClassLoadingPicoContainer`
`makeChildContainer(String name)`
Make a child container with a given name

### Methods inherited from interface org.picocontainer.Disposable

`dispose`

### Methods inherited from interface org.picocontainer.MutablePicoContainer

`addAdapter, addChildContainer, addComponent, addComponent, addConfig, as, change, getLifecycleState, getName, makeChildContainer, removeChildContainer, removeComponent, removeComponentByInstance, setLifecycleState, setName`

### Methods inherited from interface org.picocontainer.PicoContainer

`accept, getComponent, getComponent, getComponent, getComponent, getComponentAdapter, getComponentAdapter, getComponentAdapter, getComponentAdapters, getComponentAdapters, getComponentAdapters, getComponents, getComponents, getParent`

### Methods inherited from interface org.picocontainer.Startable

`start, stop`

## Method Details

### addClassLoaderURL

ClassPathElement addClassLoaderURL(URL url)
Adds a new URL that will be used in classloading

Parameters:
  `url` - url of the jar to find components in.
Returns:
  ClassPathElement to add permissions to (subject to security policy)

### getComponentClassLoader

ClassLoader getComponentClassLoader()
Returns class loader that is the aggregate of the URLs added.

Returns:
  A ClassLoader

### makeChildContainer

ClassLoadingPicoContainer makeChildContainer(String name)
Make a child container with a given name

Parameters:
  `name` - the container name
Returns:
  The ScriptedPicoContainer

### addChildContainer

ClassLoadingPicoContainer addChildContainer(String name, PicoContainer child)
Addes a child container with a given name

Parameters:
  `name` - the container name
  `child` - the child PicoContainer